# pyxbox

## 介绍

万能工具库集合

## 架构图
![tools.png](http://tva1.sinaimg.cn/large/9aec9ebdgy1h0afusad7hj2e6k2dinpg.jpg)

# 软件架构功能模块

## 1. 邮件发送模块 (`mail.py`)

### 应用场景
自动化发送业务通知、用户注册验证、密码重置等邮件。

### 场景描述
- 用户注册后，发送带有验证链接的欢迎邮件。
- 用户请求密码重置时，发送带有重置链接的邮件。
- 定期向用户发送业务更新或促销信息。

## 2. 媒体处理模块 (`media.py`)

### 应用场景
处理视频和图片文件，如格式转换、下载等。

### 场景描述
- 将用户上传的视频文件转换为指定格式并保存。
- 下载网络上的图片或视频资源供进一步处理或备份。
- 将图片资源转换为Base64编码，用于Web页面的内联显示。

## 3. 用户代理模块 (`user_agent.py`)

### 应用场景
模拟不同的浏览器访问，防止被网站识别为爬虫。

### 场景描述
- 在进行网页爬取时，随机更换用户代理，降低被封IP的风险。
- 进行浏览器兼容性测试，确保Web应用在不同环境下正常工作。

## 4. 代理配置模块 (`proxies.py`)

### 应用场景
配置和管理网络代理，访问受地域限制或需要匿名访问的资源。

### 场景描述
- 访问某些只对特定国家或地区开放的在线服务。
- 在进行网络爬虫开发时，使用代理池减少被封禁的风险。

## 5. 工具模块 (`tools.py`)

### 应用场景
提供多样化的工具函数，以支持日常开发中的文件操作、网络请求、日期时间处理等。

### 场景描述
- 开发Web应用时，创建静态资源服务器以快速测试前端资源。
- 在自动化脚本中，检查文件是否存在，或获取文件的最后修改时间。
- 需要进行日期时间的转换，如将时间戳转换为可读的日期格式。

## 6. 微博工具模块 (`weibo_utils.py`)

### 应用场景
处理微博相关的数据，如用户ID和MID的转换。

### 场景描述
- 在微博数据分析或爬虫项目中，将微博用户ID转换为MID，或反之，以适应不同的数据源格式。
- 对微博链接进行解析，提取用户ID或MID，用于用户信息的获取或分析。

## 安装教程

1. 安装：`pip install pyxbox`
2. 更新：`pip install -U pyxbox`
3. 卸载：`pip uninstall pyxbox`

## 使用说明

## 新增功能
### 0.0.5
- 新增b站bv和av的转码
- 获取弹幕字节流的转码

### 0.1.4
> 更新时间为：2023年8月17日
- 新增微博的帖子id与mid相互转换
